Bug 255172 - benchmarks/hipercontracer: Update to 1.5.0
Summary: benchmarks/hipercontracer: Update to 1.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://github.com/dreibh/hipercontra...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-18 10:16 UTC by Gian-Simon Purkert
Modified: 2021-04-25 11:57 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (dreibh)


Attachments
Update to 1.5.0 (2.44 KB, patch)
2021-04-18 10:16 UTC, Gian-Simon Purkert
no flags Details | Diff
Update to 1.5.0 (2.25 KB, patch)
2021-04-20 12:29 UTC, Gian-Simon Purkert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gian-Simon Purkert 2021-04-18 10:16:47 UTC
Created attachment 224211 [details]
Update to 1.5.0
Comment 1 Fernando Apesteguía freebsd_committer 2021-04-20 06:35:58 UTC
Q/A:
# USES=shebangfix related variables
+SHEBANG_FILES

# USES=cmake related variables
CMAKE_ARGS

-SHEBANG_FILES

Thanks!
Comment 2 Fernando Apesteguía freebsd_committer 2021-04-20 10:49:35 UTC
I run into some plist issues. Would you check this?

====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: %%PORTDOCS%%%%DOCSDIR%%/examples/NoSQL/R-query-example.R
Error: Missing: %%PORTDOCS%%%%DOCSDIR%%/examples/NoSQL/README
Error: Missing: %%PORTDOCS%%%%DOCSDIR%%/examples/NoSQL/admin.ms
Error: Missing: %%PORTDOCS%%%%DOCSDIR%%/examples/NoSQL/database.ms
Error: Missing: %%PORTDOCS%%%%DOCSDIR%%/examples/NoSQL/install-database-and-users
Error: Missing: %%PORTDOCS%%%%DOCSDIR%%/examples/NoSQL/schema.ms
Error: Missing: %%PORTDOCS%%%%DOCSDIR%%/examples/NoSQL/users.ms
Error: Missing: %%PORTDOCS%%%%DOCSDIR%%/examples/SQL/README
Error: Missing: %%PORTDOCS%%%%DOCSDIR%%/examples/SQL/database.sql
Error: Missing: %%PORTDOCS%%%%DOCSDIR%%/examples/SQL/install-database-and-users
Error: Missing: %%PORTDOCS%%%%DOCSDIR%%/examples/SQL/login-as-importer
Error: Missing: %%PORTDOCS%%%%DOCSDIR%%/examples/SQL/login-as-researcher
Error: Missing: %%PORTDOCS%%%%DOCSDIR%%/examples/SQL/procedures.sql
Error: Missing: %%PORTDOCS%%%%DOCSDIR%%/examples/SQL/schema.sql
Error: Missing: %%PORTDOCS%%%%DOCSDIR%%/examples/SQL/users.sql
Error: Missing: %%PORTDOCS%%%%DOCSDIR%%/examples/hipercontracer-database-configuration
===> Error: Plist issues found.

Thanks!
Comment 3 Gian-Simon Purkert 2021-04-20 12:29:51 UTC
Created attachment 224292 [details]
Update to 1.5.0
Comment 4 Gian-Simon Purkert 2021-04-20 12:31:24 UTC
Had to remove the %%PORTDOCS%% from plist, package creation,install,uninstall works now.

Thanks for the testing.
Comment 5 Fernando Apesteguía freebsd_committer 2021-04-20 13:13:03 UTC
(In reply to Gian-Simon Purkert from comment #4)
Is it possible that you just uploaded again the same file?
Comment 6 Gian-Simon Purkert 2021-04-20 13:37:11 UTC
the plist is different:

Before:
%%PORTDOCS%%%%DOCSDIR%%/examples/NoSQL/R-query-example.R
 	
Now:
%%DOCSDIR%%/examples/NoSQL/R-query-example.R
Comment 7 Fernando Apesteguía freebsd_committer 2021-04-20 13:50:37 UTC
(In reply to Gian-Simon Purkert from comment #6)
Yes, you're right. It is ok now.

Thanks!
Comment 8 Fernando Apesteguía freebsd_committer 2021-04-25 11:56:37 UTC
Committed,

Thanks!
Comment 9 commit-hook freebsd_committer 2021-04-25 11:57:05 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=07dad544ea8369b6b646b8eb3ec7d83311410c8e

commit 07dad544ea8369b6b646b8eb3ec7d83311410c8e
Author:     Fernando Apesteguía <fernape@FreeBSD.org>
AuthorDate: 2021-04-20 13:05:44 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-04-25 11:52:48 +0000

    benchmarks/hipercontracer: Update to 1.5.0

    ChangeLog:
    https://github.com/dreibh/hipercontracer/commit/9d0e76f620b95cecb593375f7ee1f5080fbf0dd4

    PR:     255172
    Reported by:    gspurki@gmail.com
    Approved by:    dreibh@iem.uni-due.de (maintainer, timeout > 1 week)

 benchmarks/hipercontracer/Makefile  |  2 +-
 benchmarks/hipercontracer/distinfo  |  6 +++---
 benchmarks/hipercontracer/pkg-plist | 18 +++++++++++++++++-
 3 files changed, 21 insertions(+), 5 deletions(-)